## kauth 5.80.0

=== debian/changelog ===
kauth (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:06:16 +0000

kauth (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)
  * Refresh make_kauth-gen-policy_useful_for_crosscompiling patch

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:19:49 +0000
